Show / Hide Table of Contents

# AsyncCancelTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncCancelTrigger : AsyncTriggerBase<BaseEventData>, IUniTaskAsyncEnumerable<BaseEventData>, ICancelHandler

##### Inheritance

System.Object → AsyncTriggerBase<BaseEventData> → AsyncCancelTrigger

##### Implements

IUniTaskAsyncEnumerable<BaseEventData>
ICancelHandler

### Members

#### Methods

Name | Description
--- | ---
GetOnCancelAsyncHandler() |
GetOnCancelAsyncHandler(CancellationToken) |
OnCancelAsync() |
OnCancelAsync(CancellationToken) |

### Methods

#### GetOnCancelAsyncHandler()

    public IAsyncOnCancelHandler GetOnCancelAsyncHandler()

##### Returns

IAsyncOnCancelHandler

#### GetOnCancelAsyncHandler(CancellationToken)

    public IAsyncOnCancelHandler GetOnCancelAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnCancelHandler

#### OnCancelAsync()

    public UniTask<BaseEventData> OnCancelAsync()

##### Returns

UniTask<BaseEventData>

#### OnCancelAsync(CancellationToken)

    public UniTask<BaseEventData> OnCancelAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask<BaseEventData>

### Implements

IUniTaskAsyncEnumerable<T>
ICancelHandler